Bug 10094 - koha-list should have an --disabled option
Summary: koha-list should have an --disabled option
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 4876 10003
  Show dependency treegraph
 
Reported: 2013-04-22 14:24 UTC by Tomás Cohen Arazi
Modified: 2014-05-26 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10094 - koha-list should have a --disabled option switch (7.15 KB, patch)
2013-04-23 13:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10094 - koha-list should have a --disabled option switch (6.91 KB, patch)
2013-04-23 14:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10094 - koha-list should have a --disabled option switch (7.02 KB, patch)
2013-04-24 00:56 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2013-04-22 14:24:46 UTC
On writing the tab-completion bash scripts I found that it would be handy to have this option switch. Harmless addition.
Comment 1 Tomás Cohen Arazi 2013-04-23 13:30:42 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-04-23 14:08:09 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2013-04-24 00:56:36 UTC
Created attachment 17628 [details] [review]
Bug 10094 - koha-list should have a --disabled option switch

This patch adds that (--disabled) option switch, Also revisits some of the code and docs.

To test:
- Apply the patch and create new packages (you might just drop the koha-list command somewhere)
- Create several instances (koha-create)
- Randomly set some as disabled, others enabled and enable email on some.
- Test all possible option switches combinations

Expected results:
- koha-list should abort with a proper message if mutually exclusive options selected (--email vs. --noemail, --enabled vs. --disabled)
- koha-list should show the exact instances you asked for

Regards
To+

P.S.: I wanted to add the --disabled option switch for the tab-completion work I'm doing, but as of bug 4876 I thought it would be ok to revisit the script to make it robust and clear.

Sponsored-by: Universidad Nacional de Córdoba
Signed-off-by: Robin Sheat <robin@catalyst.net.nz>

Does what it says, and cleans up the script at the same time.
Comment 4 Tomás Cohen Arazi 2013-05-02 15:20:35 UTC
I have set this bug as blocker for bug 4876 as it comprises a rewrite of the koha-list script also.
Comment 5 Katrin Fischer 2013-05-12 22:00:15 UTC
Packaging manager has signed off - that's good enough for me :)
Comment 6 Jared Camins-Esakov 2013-05-15 13:38:42 UTC
This patch has been pushed to master and 3.12.x.
Comment 7 Bernardo Gonzalez Kriegel 2013-06-14 02:45:21 UTC
Pushed to 3.10.x, will be in 3.10.7
Comment 8 Chris Hall 2013-06-17 08:01:48 UTC
Pushed to 3.8.x, will be in 3.8.14